function [sol1, sol2]=mulBGPSol(n1,n2,rclen1,rclen2)
index1=subMulBGPSol(n1,n2,rclen1);
index2=subMulBGPSol(n2,n1,rclen2);
sol1=[index1;1/length(index1)*ones(1,length(index1))];
sol2=[index2;1/length(index2)*ones(1,length(index2))];
end

function sol=subMulBGPSol(n1,n2,rc)
% n1 is the size of provider for source
% n2 is the size of provider for destination
% rc is a is the AS length of each route
path=zeros(1,n1);
for i=1:n1
    list=rc((i-1)*n2+1:i*n2);
    tmp = min(list);
    choose = [];
    for j=1:n2
        if list(j)==tmp
            choose = [choose j];
        end
    end
    if length(choose)>1
        rnd = ceil(rand(1)*length(choose));
        choose=choose(rnd);
    end
    path(i)=list(choose);
end
threshold = min(path);
sol=[];
for i=1:n1
    if path(i)==threshold
        sol=[sol i];
    end
end
end