function [sol1,sol2]=LispSol(gc1,gc2,rclen1,rclen2)
n1=length(gc1);
n2=length(gc2);
index1=subLispSol(n1,n2,gc2,rclen1);
index2=subLispSol(n2,n1,gc1,rclen2);
ratio=1/length(index1)*ones(size(index1));
sol1=[index1;ratio];
ratio=1/length(index2)*ones(size(index2));
sol2=[index2;ratio];
end

function sol=subLispSol(n1, n2, gc2, rc1)
tmp = min(gc2);
% find network2's most favorite locator, if the results are multiple,
% choose the first one
for i=1:length(gc2)
    if tmp==gc2(i)
        loc = i;
        break;
    end
end
% find the best provider to network 2's favorite locator, if the results
% are multiple, use load balance
list=zeros(1,n1);
for i=1:n1
    tmp=((i-1)*n2+loc);
    list(i)=rc1(tmp);
end
tmp = min(list);
prov=[];
for i=1:n1
    if tmp==list(i)
        prov = [prov i];
    end
end
sol = (prov-1)*n2+loc;
end

function sol=subLispSol2(n1, n2, gc2, rc1)
tmp = min(gc2);
loc = [];
% find network2's most favorite locator, if the results are multiple,
% random choose one
for i=1:length(gc2)
    if tmp==gc2(i)
        loc = [loc i];
    end
end
if length(loc)>1
    rnd = ceil(rand(1)*length(loc));
    loc=loc(rnd);
end
% find the best provider to network 2's favorite locator, if the results
% are multiple, random choose one
list=zeros(1,n1);
for i=1:n1
    tmp=((i-1)*n2+loc);
    list(i)=rc1(tmp);
end
tmp = min(list);
prov=[];
for i=1:n1
    if tmp==list(i)
        prov = [prov i];
    end
end
if length(prov)>1
    rnd = ceil(rand(1)*length(prov));
    prov=prov(rnd);
end
sol = (prov-1)*n2+loc;
end

