clear;clc
folder='Archive/';
% n1=2;
% n2=3;
% gc1=[5 10];
% gc2=[15 10 20];
% rc1=[17 13 15 10 12 15];
% rc2=[22 20 25 28 22 26];
% fid = fopen('list.dat','r');
fid2= fopen('result.dat','w');
lastsol1=[];
lastsol2=[];
lastLisp1=[];
lastLisp2=[];
lastBGP1=[];
lastBGP2=[];
NN=196;
for i=1:NN
    % file = fscanf(fid, '%s', 1);
    file = ['dataset', num2str(i)];
    dataset=[folder file];
    [n1 n2 as1 as2 gc1 gc2 rc1 rc2]=ASFileParse(dataset);
    [M1, M2]=GenGameMatrix(n1,n2,gc1,gc2,rc1(1,:),rc2(1,:));
    p=GenPotentialGameMatrix(M1,M2);
    % p=p+5;
    threshold=FindQuartile(p);
    equ=QueryEquilibrium(p,threshold);
    list=DelInferior(equ,M1,M2);
    len1=size(equ,2);
    len2=size(list,2);
    % [ratio1,ratio2,base1]=CalRatio(equ,threshold);
    [delratio1,delratio2,base2]=CalRatio(list,threshold);
    [proratio1,locratio1, proratio2,locratio2]=CalProvLocDist(delratio1,delratio2,n1,n2);
    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    [c1,c2]=costCal(delratio1,delratio2,M1,M2);
    [d1,d2]=divCal(delratio1,delratio2,rc1(3,:),rc2(3,:));
    ASsol1=ASconversion(delratio1,as1,as2);
    ASsol2=ASconversion(delratio2,as2,as1);
    s1=StabCalculation(lastsol1, ASsol1);
    s2=StabCalculation(lastsol2, ASsol2);
    lastsol1=ASsol1;
    lastsol2=ASsol2;
    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    rclen1=rc1(2,:);
    rclen2=rc2(2,:);
    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    [lispsol1,lispsol2]=LispSol(gc1,gc2,rclen1,rclen2);
    [lispc1,lispc2]=costCal(lispsol1,lispsol2,M1,M2);
    [lispd1,lispd2]=divCal(lispsol1,lispsol2,rc1(3,:),rc2(3,:));
    ASsol1=ASconversion(lispsol1,as1,as2);
    ASsol2=ASconversion(lispsol2,as2,as1);
    lisps1=StabCalculation(lastLisp1, ASsol1);
    lisps2=StabCalculation(lastLisp2, ASsol2);
    lastLisp1=ASsol1;
    lastLisp2=ASsol2;
    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    [BGPsol1, BGPsol2]=mulBGPSol(n1,n2,rclen1,rclen2);
    [BGPc1,BGPc2]=costCal(BGPsol1,BGPsol2,M1,M2);
    [BGPd1,BGPd2]=divCal(BGPsol1,BGPsol2,rc1(3,:),rc2(3,:));
    ASsol1=ASconversion(BGPsol1,as1,as2);
    ASsol2=ASconversion(BGPsol2,as2,as1);
    BGPs1=StabCalculation(lastBGP1, ASsol1);
    BGPs2=StabCalculation(lastBGP2, ASsol2);
    lastBGP1=ASsol1;
    lastBGP2=ASsol2;
    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    result=[len1 len2 c1 c2 d1 d2 s1 s2 lispc1 lispc2 lispd1 lispd2 lisps1 lisps2 BGPc1 BGPc2 BGPd1 BGPd2 BGPs1 BGPs2 proratio1 locratio1 proratio2 locratio2];
    fprintf(fid2,'%f %f %f %f %f %f %f %f %f %f %f %f %f %f %f %f %f %f %f %f %f %f %f %f\n',result);
end
fclose(fid2);
% fclose(fid);